List extractions
curl --request GET \
--url https://api.oktavius.ai/v1/openapi/extractions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.oktavius.ai/v1/openapi/extractions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oktavius.ai/v1/openapi/extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"auftragsnummer": "22201161",
"baustelle": "Mokka",
"completed_at": "2026-03-03T14:00:00Z",
"created_at": "2026-03-03T13:00:00Z",
"positionen_count": 4
}
],
"pagination": {
"page": 1,
"page_size": 20,
"total": 1
}
}{
"success": false,
"error": "Bad Request",
"message": "status: Invalid enum value. Expected 'completed' | 'failed', received 'bogus'"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid API token."
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid API token.",
"details": {
"limit": 1000,
"window": "1 hour",
"resets_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid API token."
}Extractions
List extractions
Query completed extraction results, optionally filtered by Auftragsnummer.
Returns an array of extraction summaries with pagination. If multiple Regiescheine exist for the same Auftragsnummer, all are returned.
GET
/
v1
/
openapi
/
extractions
List extractions
Authorizations
Use an API token starting with okt_live_.
Pass it as: Authorization: Bearer okt_live_your_token_here
Query Parameters
Filter by project/order number (exact match)
Filter by job status (default completed)
Available options:
pending, extracting, extracted, reviewing, executing, completed, failed, cancelled Only return extractions completed after this ISO-8601 timestamp
Required range:
x >= 1Required range:
1 <= x <= 100